Skip to content
Mundane is a Rust cryptography library backed by BoringSSL that is difficult to misuse, ergonomic, and performant (in that order).
Branch: master
Clone or download
joshlf Remove unused lazy_static dependency
Change-Id: I93eccf2ef08d20428b8e68a1d8b46a1e17758302
Latest commit cccc96d Mar 23, 2019
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
boringssl [rsa] Add PKCS1v1.5 signing Mar 21, 2019
src Remove unused lazy_static dependency Mar 22, 2019
tests [test] Run test_symbol_conflict.sh from cargo test Feb 20, 2019
.gitignore Update docs for the move from {mundane -> fuchsia}.googlesource.com Oct 12, 2018
.gitmodules
CHANGELOG.md
CONTRIBUTING.md
Cargo.toml Remove unused lazy_static dependency Mar 22, 2019
DESIGN.md Canonicalize on "Mundane" (capital M) spelling Sep 29, 2018
LICENSE
PULL_REQUEST_TEMPLATE.md [PULL_REQUEST_TEMPLATE.md] Initial commit Jan 25, 2019
README.md [CONTRIBUTING.md] Explain that 'git clone' needs '--recursive' flag Oct 30, 2018
RELEASING.md Add test.sh to test with each feature Mar 12, 2019
build.rs [build] always use the boringssl go module Mar 10, 2019
rustfmt.toml Add missing copyright headers Feb 20, 2019
test.sh [rsa] Optimize tests by hard-coding keys and omitting some key sizes Mar 22, 2019

README.md

Mundane

Mundane is a Rust cryptography library backed by BoringSSL that is difficult to misuse, ergonomic, and performant (in that order).

Issues and Contributions

We use GitHub issues for issue tracking, and Gerrit for code reviews. See CONTRIBUTING.md for more details.

Dependencies

Mundane vendors a copy of the BoringSSL source, so BoringSSL does not need to be installed locally in order to build. However, the BoringSSL build system has the following dependencies:

  • CMake 2.8.11 or later
  • Perl 5.6.1 or later. See BoringSSL's build instructions for what to do if CMake fails to find Perl on your system.
  • Either Make or Ninja. Ninja is preferable, as it makes compilation significantly faster; if both are present, Ninja will be used. On Windows, Ninja is required.
  • A C++ compiler
  • Go 1.11 or later
  • To build the x86 and x86_64 assembly, your assembler must support AVX2 instructions and MOVBE. If using GNU binutils, you must have 2.22 or later.

In order to avoid errors at link time due to conflicting symbols, we build BoringSSL with a custom prefix for all of its symbols which is based on the name and version of this crate. That way, even if multiple different versions of Mundane are present in the same dependency graph, none of the symbols from one version's BoringSSL will conflict with the symbols from another version's BoringSSL.

Supported platforms

Mundane supports being built on and for Linux and Mac. Windows support is under development. Cross-compilation is not supported.

License

Everything outside of the boringssl/boringssl directory is licensed under an MIT license which can be found in the LICENSE file. Everything in the boringssl/boringssl directory is licensed with a license that can be found in the boringssl/boringssl/LICENSE file.

Disclaimer: Mundane is not an officially supported Google product.

You can’t perform that action at this time.